Skip to main content
This endpoint provides near-real-time participant presence data[0]. /presence accepts no options and quickly returns all active participants the requestor can see, grouped by room.
/presence vs /meetings vs /logsPlease use this endpoint (not /meetings) if you need to know the current state of rooms and participants. If you need more in-depth analytics please see Meeting Analytics or Logs.

The “presence” object

{
  "cool-room": [
    {
      "room": "cool-room",
      "id": "4c8dee53-fd51-445c-92d4-917701401d14",
      "userId": "309cf686-64ba-4afa-9e6b-05fe13c56fbf",
      "userName": "sean",
      "mtgSessionId": "16e9701a-93e0-4933-83c9-223e7c40d552",
      "joinTime": "2020-11-01T23:46:38.000Z",
      "duration": 543
    },
    ... more participants ...
  ]
}

Example request

curl -H "Content-Type: application/json" \
     -H "Authorization: Bearer DAILY_API_KEY" \
     https://api.daily.co/v1/presence
Note: It should be sufficient to query this endpoint no more frequently than once every 15 seconds to get a complete picture of all of the participants on your domain. [0] delay of up to 15 seconds.